0

I am trying to install clang-3.5 on Linux Mint 17.2 (Cinnamon) and I dependency errors.

Edit: here is the output of apt-cache policy clang clang-3.5 clang-3.3:

clang:
  Installed: (none)
  Candidate: 1:3.4-0ubuntu1
  Version table:
     1:3.4-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages
clang-3.5:
  Installed: (none)
  Candidate: 1:3.5-4ubuntu2~trusty2
  Version table:
     1:3.5-4ubuntu2~trusty2 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-updates/universe amd64 Packages
        500 http://security.ubuntu.com/ubuntu/ trusty-security/universe amd64 Packages
     1:3.5~svn201651-1ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages
clang-3.3:
  Installed: (none)
  Candidate: 1:3.3-16ubuntu1
  Version table:
     1:3.3-16ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages

And here is the output of sudo apt-get install clang-3.5:

Reading package lists...
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 clang-3.5 : Breaks: clang-3.3 but 1:3.3-16ubuntu1 is to be installed

Here is the output of apt-cache show clang-3.5:

Package: clang-3.5
Priority: optional
Section: universe/devel
Installed-Size: 69658
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Architecture: amd64
Source: llvm-toolchain-snapshot
Version: 1:3.5-4ubuntu2~trusty2
Replaces: clang (<< 1:3.5), clang-3.1, clang-3.2, clang-3.3, clang-3.4 (<< 1:3.4.2-7~exp1), clang-3.5 (<< 1:3.5~+rc1-3~exp1), compiler-rt
Provides: c++-compiler, c-compiler, objc-compiler
Depends: libc6 (>= 2.15), libclang1-3.5 (= 1:3.5-4ubuntu2~trusty2), libedit2 (>= 2.11-20080614), libgcc1 (>= 1:4.1.1), libllvm3.5, libstdc++6 (>= 4.6), libtinfo5, libstdc++-4.8-dev, libgcc-4.8-dev, libobjc-4.8-dev, libclang-common-3.5-dev (= 1:3.5-4ubuntu2~trusty2), libc6-dev, binutils
Recommends: llvm-3.5-dev, python
Suggests: gnustep, gnustep-devel, clang-3.5-doc
Breaks: clang-3.1, clang-3.2, clang-3.3, clang-3.4 (<< 1:3.4.2-7~exp1), clang-3.5 (<< 1:3.5~+rc1-3~exp1), compiler-rt
Filename: pool/universe/l/llvm-toolchain-snapshot/clang-3.5_3.5-4ubuntu2~trusty2_amd64.deb
Size: 19637264
MD5sum: 58aaefb79ad9dfa20d925cd02200ee2e
SHA1: c030319472b62b3c74ceb3a63aafac5c51407065
SHA256: db4800eb3ae9c267087b193acfa6ad840f97fbb5e44aacc2a840cd00137b6b0a
Description-en: C, C++ and Objective-C compiler (LLVM based)
 Clang project is a C, C++, Objective C and Objective C++ front-end
 for the LLVM compiler. Its goal is to offer a replacement to the GNU Compiler
 Collection (GCC).
 .
 Clang implements all of the ISO C++ 1998 and 2001 standards and also provides
 a partial support of C++1y.
Description-md5: 7a4488b4af767b7d9d9e5e4349a79fd5
Homepage: http://www.llvm.org/
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu

Package: clang-3.5
Priority: optional
Section: universe/devel
Installed-Size: 31224
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debiUploaders: Sylvestre Ledru <sylvestre@debian.org>
Architecture: amd64
Source: llvm-toolchain-snapshot
Version: 1:3.5~svn201651-1ubuntu1
Replaces: clang, clang-3.1, clang-3.2, clang-3.3, clang-3.4, compiler-rt
Provides: c++-compiler, c-compiler, objc-compiler
Depends: libc6 (>= 2.15), libclang1-3.5 (= 1:3.5~svn201651-1ubuntu1), libgcc1 (>= 1:4.1.1), libllvm3.5, libstdc++6 (>= 4.6), libtinfo5, libstdc++-4.8-dev, libgcc-4.8-dev, libobjc-4.8-dev, libclang-common-3.5-dev (= 1:3.5~svn201651-1ubuntu1)
Recommends: llvm-3.5-dev, python
Breaks: clang, clang-3.1, clang-3.2, clang-3.3, clang-3.4, compiler-rt
Filename: pool/universe/l/llvm-toolchain-snapshot/clang-3.5_3.5~svn201651-1ubuntu1_amd64.deb
Size: 8828414
MD5sum: ffd2bc513809fc1f2905267fc99f4c02
SHA1: f73b30c4c5e22bad1b0daea5fc5309b52cc117b5
SHA256: 6b25a94eafb8e9cd8e7386835f1f0018dce2518b4fed529ca09c769fb5fcad84
Description-en: C, C++ and Objective-C compiler (LLVM based)
 Clang project is a C, C++, Objective C and Objective C++ front-end
 for the LLVM compiler. Its goal is to offer a replacement to the GNU Compiler
 Collection (GCC).
 .
 Clang implements all of the ISO C++ 1998 and 2001 standards and also provides
 a partial support of C++1y.
Description-md5: 7a4488b4af767b7d9d9e5e4349a79fd5
Homepage: http://www.llvm.org/
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu

Edit: here is the output of apt-cache policy:

Package files:
 100 /var/lib/dpkg/status
     release a=now
 500 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/ trusty/main Translation-en
 500 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/ trusty/main i386 Packages
     release v=14.04,o=LP-PPA-ubuntu-wine,a=trusty,n=trusty,l=Wine Team PPA,c=main
     origin ppa.launchpad.net
 500 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/ trusty/main amd64 Packages
     release v=14.04,o=LP-PPA-ubuntu-wine,a=trusty,n=trusty,l=Wine Team PPA,c=main
     origin ppa.launchpad.net
 500 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main Translation-en
 500 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main i386 Packages
     release v=14.04,o=LP-PPA-ubuntu-toolchain-r-test,a=trusty,n=trusty,l=Toolchain test builds,c=main
     origin ppa.launchpad.net
 500 http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty/main amd64 Packages
     release v=14.04,o=LP-PPA-ubuntu-toolchain-r-test,a=trusty,n=trusty,l=Toolchain test builds,c=main
     origin ppa.launchpad.net
 500 http://repo.steampowered.com/steam/ precise/steam i386 Packages
     release o=Valve Software LLC,n=precise,l=Steam,c=steam
     origin repo.steampowered.com
 500 http://repo.steampowered.com/steam/ precise/steam amd64 Packages
     release o=Valve Software LLC,n=precise,l=Steam,c=steam
     origin repo.steampowered.com
 500 http://archive.canonical.com/ubuntu/ trusty/partner Translation-en
 500 http://archive.canonical.com/ubuntu/ trusty/partner i386 Packages
     release v=14.04,o=Canonical,a=trusty,n=trusty,l=Partner archive,c=partner
     origin archive.canonical.com
 500 http://archive.canonical.com/ubuntu/ trusty/partner amd64 Packages
     release v=14.04,o=Canonical,a=trusty,n=trusty,l=Partner archive,c=partner
     origin archive.canonical.com
 500 http://security.ubuntu.com/ubuntu/ trusty-security/universe Translation-en
 500 http://security.ubuntu.com/ubuntu/ trusty-security/restricted Translation-en
 500 http://security.ubuntu.com/ubuntu/ trusty-security/multiverse Translation-en
 500 http://security.ubuntu.com/ubuntu/ trusty-security/main Translation-en
 500 http://security.ubuntu.com/ubuntu/ trusty-security/multiverse i386 Packages
     release v=14.04,o=Ubuntu,a=trusty-security,n=trusty,l=Ubuntu,c=multiverse
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ trusty-security/universe i386 Packages
     release v=14.04,o=Ubuntu,a=trusty-security,n=trusty,l=Ubuntu,c=universe
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ trusty-security/restricted i386 Packages
     release v=14.04,o=Ubuntu,a=trusty-security,n=trusty,l=Ubuntu,c=restricted
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ trusty-security/main i386 Packages
     release v=14.04,o=Ubuntu,a=trusty-security,n=trusty,l=Ubuntu,c=main
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ trusty-security/multiverse amd64 Packages
     release v=14.04,o=Ubuntu,a=trusty-security,n=trusty,l=Ubuntu,c=multiverse
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ trusty-security/universe amd64 Packages
     release v=14.04,o=Ubuntu,a=trusty-security,n=trusty,l=Ubuntu,c=universe
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ trusty-security/restricted amd64 Packages
     release v=14.04,o=Ubuntu,a=trusty-security,n=trusty,l=Ubuntu,c=restricted
     origin security.ubuntu.com
 500 http://security.ubuntu.com/ubuntu/ trusty-security/main amd64 Packages
     release v=14.04,o=Ubuntu,a=trusty-security,n=trusty,l=Ubuntu,c=main
     origin security.ubuntu.com
 500 http://archive.ubuntu.com/ubuntu/ trusty-updates/universe Translation-en
 500 http://archive.ubuntu.com/ubuntu/ trusty-updates/restricted Translation-en
 500 http://archive.ubuntu.com/ubuntu/ trusty-updates/multiverse Translation-en
 500 http://archive.ubuntu.com/ubuntu/ trusty-updates/main Translation-en
 500 http://archive.ubuntu.com/ubuntu/ trusty-updates/multiverse i386 Packages
     release v=14.04,o=Ubuntu,a=trusty-updates,n=trusty,l=Ubuntu,c=multiverse
     origin archive.ubuntu.com
 500 http://archive.ubuntu.com/ubuntu/ trusty-updates/universe i386 Packages
     release v=14.04,o=Ubuntu,a=trusty-updates,n=trusty,l=Ubuntu,c=universe
     origin archive.ubuntu.com
 500 http://archive.ubuntu.com/ubuntu/ trusty-updates/restricted i386 Packages
     release v=14.04,o=Ubuntu,a=trusty-updates,n=trusty,l=Ubuntu,c=restricted
     origin archive.ubuntu.com
 500 http://archive.ubuntu.com/ubuntu/ trusty-updates/main i386 Packages
     release v=14.04,o=Ubuntu,a=trusty-updates,n=trusty,l=Ubuntu,c=main
     origin archive.ubuntu.com
 500 http://archive.ubuntu.com/ubuntu/ trusty-updates/multiverse amd64 Packages
     release v=14.04,o=Ubuntu,a=trusty-updates,n=trusty,l=Ubuntu,c=multiverse
     origin archive.ubuntu.com
 500 http://archive.ubuntu.com/ubuntu/ trusty-updates/universe amd64 Packages
     release v=14.04,o=Ubuntu,a=trusty-updates,n=trusty,l=Ubuntu,c=universe
     origin archive.ubuntu.com
 500 http://archive.ubuntu.com/ubuntu/ trusty-updates/restricted amd64 Packages
     release v=14.04,o=Ubuntu,a=trusty-updates,n=trusty,l=Ubuntu,c=restricted
     origin archive.ubuntu.com
 500 http://archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
     release v=14.04,o=Ubuntu,a=trusty-updates,n=trusty,l=Ubuntu,c=main
     origin archive.ubuntu.com
 500 http://archive.ubuntu.com/ubuntu/ trusty/universe Translation-en
 500 http://archive.ubuntu.com/ubuntu/ trusty/restricted Translation-en
 500 http://archive.ubuntu.com/ubuntu/ trusty/multiverse Translation-en
 500 http://archive.ubuntu.com/ubuntu/ trusty/main Translation-en
 500 http://archive.ubuntu.com/ubuntu/ trusty/multiverse i386 Packages
     release v=14.04,o=Ubuntu,a=trusty,n=trusty,l=Ubuntu,c=multiverse
     origin archive.ubuntu.com
 500 http://archive.ubuntu.com/ubuntu/ trusty/universe i386 Packages
     release v=14.04,o=Ubuntu,a=trusty,n=trusty,l=Ubuntu,c=universe
     origin archive.ubuntu.com
 500 http://archive.ubuntu.com/ubuntu/ trusty/restricted i386 Packages
     release v=14.04,o=Ubuntu,a=trusty,n=trusty,l=Ubuntu,c=restricted
     origin archive.ubuntu.com
 500 http://archive.ubuntu.com/ubuntu/ trusty/main i386 Packages
     release v=14.04,o=Ubuntu,a=trusty,n=trusty,l=Ubuntu,c=main
     origin archive.ubuntu.com
 500 http://archive.ubuntu.com/ubuntu/ trusty/multiverse amd64 Packages
     release v=14.04,o=Ubuntu,a=trusty,n=trusty,l=Ubuntu,c=multiverse
     origin archive.ubuntu.com
 500 http://archive.ubuntu.com/ubuntu/ trusty/universe amd64 Packages
     release v=14.04,o=Ubuntu,a=trusty,n=trusty,l=Ubuntu,c=universe
     origin archive.ubuntu.com
 500 http://archive.ubuntu.com/ubuntu/ trusty/restricted amd64 Packages
     release v=14.04,o=Ubuntu,a=trusty,n=trusty,l=Ubuntu,c=restricted
     origin archive.ubuntu.com
 500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
     release v=14.04,o=Ubuntu,a=trusty,n=trusty,l=Ubuntu,c=main
     origin archive.ubuntu.com
 700 http://extra.linuxmint.com/ rafaela/main i386 Packages
     release v=17.2,o=linuxmint,a=rafaela,n=rafaela,l=linuxmint,c=main
     origin extra.linuxmint.com
 700 http://extra.linuxmint.com/ rafaela/main amd64 Packages
     release v=17.2,o=linuxmint,a=rafaela,n=rafaela,l=linuxmint,c=main
     origin extra.linuxmint.com
 700 http://packages.linuxmint.com/ rafaela/import i386 Packages
     release v=17.2,o=linuxmint,a=rafaela,n=rafaela,l=linuxmint,c=import
     origin packages.linuxmint.com
 700 http://packages.linuxmint.com/ rafaela/upstream i386 Packages
     release v=17.2,o=linuxmint,a=rafaela,n=rafaela,l=linuxmint,c=upstream
     origin packages.linuxmint.com
 700 http://packages.linuxmint.com/ rafaela/main i386 Packages
     release v=17.2,o=linuxmint,a=rafaela,n=rafaela,l=linuxmint,c=main
     origin packages.linuxmint.com
 700 http://packages.linuxmint.com/ rafaela/import amd64 Packages
     release v=17.2,o=linuxmint,a=rafaela,n=rafaela,l=linuxmint,c=import
     origin packages.linuxmint.com
 700 http://packages.linuxmint.com/ rafaela/upstream amd64 Packages
     release v=17.2,o=linuxmint,a=rafaela,n=rafaela,l=linuxmint,c=upstream
     origin packages.linuxmint.com
 700 http://packages.linuxmint.com/ rafaela/main amd64 Packages
     release v=17.2,o=linuxmint,a=rafaela,n=rafaela,l=linuxmint,c=main
     origin packages.linuxmint.com
 500 http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu/ trusty/main Translation-en
 500 http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu/ trusty/main i386 Packages
     release v=14.04,o=LP-PPA-kubuntu-ppa-backports,a=trusty,n=trusty,l=Kubuntu Backports,c=main
     origin ppa.launchpad.net
 500 http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu/ trusty/main amd64 Packages
     release v=14.04,o=LP-PPA-kubuntu-ppa-backports,a=trusty,n=trusty,l=Kubuntu Backports,c=main
     origin ppa.launchpad.net
 500 http://ppa.launchpad.net/kilian/f.lux/ubuntu/ trusty/main i386 Packages
     release v=14.04,o=LP-PPA-kilian-f.lux,a=trusty,n=trusty,l=f.lux indicator applet,c=main
     origin ppa.launchpad.net
 500 http://ppa.launchpad.net/kilian/f.lux/ubuntu/ trusty/main amd64 Packages
     release v=14.04,o=LP-PPA-kilian-f.lux,a=trusty,n=trusty,l=f.lux indicator applet,c=main
     origin ppa.launchpad.net
Pinned packages:
10
  • 1
    Download? Please give the exact commands you used. If you don't need cland 3.3, just remove it. Mar 4, 2016 at 1:15
  • I used sudo apt-get install clang-3.5 and I also tried sudo apt-get remove clang-3.3 (before install 3.5). I don't appear to have clang-3.3 installed on my system at all. Mar 5, 2016 at 5:49
  • Please paste the output of the following command into your question: apt-cache policy clang clang-3.5 clang 3.3. Also, if you used sudo apt-get install clang-3.5 to produce the output above, please add that before the output. Mar 5, 2016 at 7:57
  • I have the output copied here Mar 5, 2016 at 16:27
  • I made a typo, sorry. Paste the output of apt-cache policy clang clang-3.5 clang-3.3 into the question, please. Also, apt-cache show clang-3.5. Mar 5, 2016 at 16:55

1 Answer 1

0

I was finally able to resolve this by using aptitude instead of apt-get to install clang-3.5.

So, sudo aptitude install clang-3.5

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.